
Redmine - Defect #1122

Unnecessary and inconsistent use of absolute URLs

2008-04-27 22:38 - Hubert Matthews

Status: Closed Start date: 2008-04-27

Priority: Low Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version: 0.7.1   
Description

Some URLs are absolute (i.e. http://myserver/foo) instead of relative to the base (i.e. /foo).  This makes it tedious and difficult to run

Redmine behind a proxy as the forwarder has to parse and alter the HTML on each page.  Suggested solution is to use

document-based URLs throughout for local pages.  I believe the fix would be in render_menu in lib/redmine/menu_manager.rb.

Associated revisions

Revision 1384 - 2008-04-30 10:51 - Jean-Philippe Lang

Fixed: Home, Logout, Login links are absolute (#1122, #1145).

History

#1 - 2008-04-30 10:51 - Jean-Philippe Lang

- Status changed from New to Closed

- Target version set to 0.7.1

- Resolution set to Fixed

Fixed in r1384.

#2 - 2008-06-05 23:38 - Jason Swartz

- Status changed from Closed to Reopened

- Assignee set to Jean-Philippe Lang

Hi, it looks like this was incorrectly handled - the user is requesting that all urls be made local instead of absolute. Can you fix this so all links (/search,

/projects, /login, /stylesheets, etc) be made local and not absolute?

#3 - 2008-06-06 14:14 - Anonymous

If this still exists, then it needs re-targetting as 0.7.1 has already been released.  Or open a separate bug targeted for 0.7.2 or 0.8.

Cheers

Russell

#4 - 2008-06-06 16:14 - Jean-Philippe Lang

- Target version deleted (0.7.1)

#5 - 2008-06-15 12:09 - Jean-Philippe Lang

- Status changed from Reopened to Closed

- Target version set to 0.7.1

The original request was about a few links with host name in the url. This is fixed.

Using Rails, links can not be relative (eg. ../logout).
